#!/bin/bash 
containerNameValue="v10sp1Driver"
if docker ps -a | grep -q $containerNameValue; then
    docker start "$containerNameValue"
    if ps -ef | grep -v grep | grep -q "/usr/sbin/saned -a";then
        echo "DEBUG - saned服务已经存在，无需启动"
    else
        docker exec -d --user root $containerNameValue /bin/bash -c "/usr/sbin/saned -a"
    fi

    if ps -ef | grep -v grep | grep -q "/usr/sbin/cupsd -f";then
        echo "DEBUG - cupsd服务已经存在，无需启动" | tee -a $logFile
    else
        docker exec -d --user root $containerNameValue /bin/bash -c "/usr/sbin/cupsd -f "
    fi
    exit 0
else
    echo "DEBUG - 驱动容器不存在，无需启动服务"
    exit -1
fi
